%define current_version 1.0.6

Name: libreport-plugin-virtuozzo
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group: Applications
Summary: Virtuozzo problem reporting script and libreport event handler
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

Requires: coripper

%description
This package contains Virtuozzo problem reporter and libreport event handler

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/libreport/events.d
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5

make install DESTDIR="${RPM_BUILD_ROOT}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%config /etc/libreport/events.d/virtuozzo_event.conf
%{_bindir}/reporter-vz
%{_mandir}/man1/reporter-vz.1*
%{_mandir}/man5/virtuozzo_event.conf.5*

%changelog
* Wed Sep 13 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.6
 - Do not require pkg_release and pkg_version to be present in the report
folder, see #PSBM-71982

* Tue Feb 14 2017 Dmitry Andreev <dandreev@virtuozzo.com> 1.0.5
 - PSBM-58108 Move dumpdir from /tmp to /vz/tmp and set the appropriate
permissions to corefiles (Inga Pyass <ipyass@virtuozzo.com>)
 - PSBM-58108 Set 700 permissions on /tmp/virtuozzo_crash_dumps (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 1.0.4-2
- Rebuild in 7.3 environment

* Wed Dec 07 2016 Dmitry Andreev <dandreev@virtuozzo.com> 1.0.4
 - Make message about invalid problem directory more clear (Denis Silakov
<denis.silakov@rosalab.ru>)

* Thu Aug 11 2016 Dmitry Andreev <dandreev@virtuozzo.com> 1.0.3
 - Rename directory for crashdumps #PSBM-50823
 - Collect light coredumps for vz* applications #PSBM-50895
 - create dirs in a proper way (Alexander Stefanov-Khryukin
<akhryukin@parallels.com>)
 - Added license terms (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix folder creation during 'make install' (Denis Silakov
<dsilakov@gmail.com>)
 - For safety, create necessary folders during 'make install' if they are
missing (Denis Silakov <dsilakov@gmail.com>)

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.2-2
- Technical rebuild, see #PSBM-47948

* Mon Nov 02 2015 Dmitry Andreev <dandreev@virtuozzo.com> 1.0.2
 - Set reporter script exit value to 0.

* Mon Oct 12 2015 Dmitry Andreev <dandreev@odin.com> 1.0.1
 Initial commit: reporting script, libreport event handler, man, makefile
